package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiParam;
import com.seewo.open.sdk.ParameterPosition;

/**
 * seewo-open API: 根据学号删除班级学生
 *
 *
 * @author auto create
 * @since 2.0.1 2023-12-19
 */
public class StudentServiceRemoveClassStudentsParam extends OpenApiParam {


    /**
     * 请求体，MimeType为 application/json
     */

    private JSONRequestBody requestBody;


    public JSONRequestBody getRequestBody() {
        return this.requestBody;
    }

    public void setRequestBody(JSONRequestBody requestBody) {
        this.requestBody = requestBody;
    }

    public static StudentServiceRemoveClassStudentsParamBuilder builder(){
        return new StudentServiceRemoveClassStudentsParamBuilder();
    }

    public static class StudentServiceRemoveClassStudentsParamBuilder{
        private JSONRequestBody requestBody;

        public StudentServiceRemoveClassStudentsParamBuilder requestBody(JSONRequestBody requestBody){
            this.requestBody = requestBody;
            return this;
        }

        public StudentServiceRemoveClassStudentsParam build(){
            StudentServiceRemoveClassStudentsParam param = new StudentServiceRemoveClassStudentsParam();
            param.setRequestBody(requestBody);
            return param;
        }
    }

    public static class JSONRequestBody {
        /**
         * 查询条件
         */
        private UnbindStudentQuery query;

        public UnbindStudentQuery getQuery() {
            return this.query;
        }

        public void setQuery(UnbindStudentQuery query) {
            this.query = query;
        }


        public static JSONRequestBodyBuilder builder(){
            return new JSONRequestBodyBuilder();
        }

        public static class JSONRequestBodyBuilder{
            private UnbindStudentQuery query;

            public JSONRequestBodyBuilder query(UnbindStudentQuery query){
                this.query = query;
                return this;
            }

            public JSONRequestBody build(){
                JSONRequestBody param = new JSONRequestBody();
                param.setQuery(query);
                return param;
            }
        }
    }

    public static class UnbindStudentQuery {
        /**
         * appId
         */
        private String appId;
        /**
         * 学校ID
         */
        private String schoolUid;
        /**
         * 希沃班级ID
         */
        private String classUid;
        /**
         * 学号列表
         */
        private List<String> studentCodes;

        public String getAppId() {
            return this.appId;
        }

        public void setAppId(String appId) {
            this.appId = appId;
        }

        public String getSchoolUid() {
            return this.schoolUid;
        }

        public void setSchoolUid(String schoolUid) {
            this.schoolUid = schoolUid;
        }

        public String getClassUid() {
            return this.classUid;
        }

        public void setClassUid(String classUid) {
            this.classUid = classUid;
        }

        public List<String> getStudentCodes() {
            return this.studentCodes;
        }

        public void setStudentCodes(List<String> studentCodes) {
            this.studentCodes = studentCodes;
        }


        public static UnbindStudentQueryBuilder builder(){
            return new UnbindStudentQueryBuilder();
        }

        public static class UnbindStudentQueryBuilder{
            private String appId;
            private String schoolUid;
            private String classUid;
            private List<String> studentCodes;

            public UnbindStudentQueryBuilder appId(String appId){
                this.appId = appId;
                return this;
            }
            public UnbindStudentQueryBuilder schoolUid(String schoolUid){
                this.schoolUid = schoolUid;
                return this;
            }
            public UnbindStudentQueryBuilder classUid(String classUid){
                this.classUid = classUid;
                return this;
            }
            public UnbindStudentQueryBuilder studentCodes(List<String> studentCodes){
                this.studentCodes = studentCodes;
                return this;
            }

            public UnbindStudentQuery build(){
                UnbindStudentQuery param = new UnbindStudentQuery();
                param.setAppId(appId);
                param.setSchoolUid(schoolUid);
                param.setClassUid(classUid);
                param.setStudentCodes(studentCodes);
                return param;
            }
        }
    }


}
